A change request's talk
curl --request GET \
--url https://patch.gg/api/v1/projects/{owner}/{slug}/change-requests/{number}/talkconst options = {method: 'GET'};
fetch('https://patch.gg/api/v1/projects/{owner}/{slug}/change-requests/{number}/talk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/projects/{owner}/{slug}/change-requests/{number}/talk"
response = requests.get(url)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author": "<string>",
"author_image": "<string>",
"via": "session",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"can_delete": true
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Change requests
A change request's talk
Oldest first.
GET
/
projects
/
{owner}
/
{slug}
/
change-requests
/
{number}
/
talk
A change request's talk
curl --request GET \
--url https://patch.gg/api/v1/projects/{owner}/{slug}/change-requests/{number}/talkconst options = {method: 'GET'};
fetch('https://patch.gg/api/v1/projects/{owner}/{slug}/change-requests/{number}/talk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/projects/{owner}/{slug}/change-requests/{number}/talk"
response = requests.get(url)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author": "<string>",
"author_image": "<string>",
"via": "session",
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"can_delete": true
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Path Parameters
Example:
"patch"
Example:
"demo-mod"
Required range:
x >= 1Example:
12
Query Parameters
Required range:
1 <= x <= 100The next_cursor from the previous page
Maximum string length:
500